<script>
  // Properties
  export let data = [];
  const continents = ["all", "europe", "asia", "americas", "africa"];

  let slider_value = 1800;
  export let selected_year = 0;
  $: selected_year = slider_value - 1800;

  let index = 0;
  export let selected_continent;
  
  $: {
    selected_continent = continents[index];
    console.log(selected_continent);
  }

  let stopped = true;

  function counter() {
    stopped = !stopped;
    if (!stopped) {
      const timer = setInterval(function() {
        if (stopped) {clearInterval(timer)};
        if (slider_value == 2014) {slider_value = 1799};
        if (!stopped) {slider_value += 1};
      }, 50);
    } 
  }

  function reset() {
    stopped = true;
    slider_value = 1800;
  }
  

</script>

<div class="row">
  <div class="col-auto">
    <button type="button" class="btn btn-primary" on:click="{counter}">
      {stopped ? 'Start' : 'Stop'}
    </button>
  </div>
  <div class="col-auto">
    <button type="button" class="btn btn-primary" on:click="{reset}">
      Reset
    </button>
  </div>

  <div class="col-auto">
    Year: {slider_value} <br>
    <input type="range" min="1800" max="2014" bind:value={slider_value} />
  </div>

  <div class="col-auto">
    <select name="fname" id="continents_button" bind:value={index}>
      {#each continents as continent, idx} 
        <option value={idx}>{continent}</option>
      {/each}
    </select>
  </div>
</div>

